# Numerical Methods in MATLAB
Numerical computing is an approach for solving complex mathematical models which represent some physical phenomena. With the advancements in computation now we can solve complex models right in our personal computers just by writing a few lines of code. Technicality comes in picture when we try to solve complex problems in a reasonable time with minimal error.

The module assumes only basic programming knowledge (in any language) and some background in partial differential equations, ordinary differential equations, fluid mechanics, Algebra, and basic math.

## How to use this module
This module contains submodules with various examples of numerical computation.

### 12 - steps to Navier-Stokes
It contains MATLAB implementation of the CFD course taught by Prof. Lorena Barba between 2009 and 2013 in the Mechanical Engineering department at Boston University.

<img src="Images/cfd_step_6.png" width="900" height="640">

<img src="Images/cfd_step_9.png" width="900" height="640">


### Codes 
Contains numerical integration, numerical derivation, basic coding examples, fractal geometry, lorentz equations .etc

<img src="Images/lorenz_system.png" width="900" height="640">

<img src="Images/fractal.png" width="900" height="640">

<img src="Images/random_walker.png" width="900" height="640">

<img src="Images/Double_pendulum.png" width="900" height="640">

### Hybrid Particle Swarm Optimization
It contains particle swarm optimization to solve missing value bounday problems for ordinary differential equations.

### Project Euler
Contains codes for the problems from https://projecteuler.net.

## Dependencies
To use these codes, you need MATLAB installed in your machine.

## Thank You


